YarnApplicationsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class YarnApplicationsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.YarnApplicationsResourceApi

-     public class YarnApplicationsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YarnApplicationsResourceApi()`
    `YarnApplicationsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiYarnApplicationAttributeList` | `getYarnApplicationAttributes(String clusterName, String serviceName)` Returns the list of all attributes that the Service Monitor can associate with YARN applications.
    `com.squareup.okhttp.Call` | `getYarnApplicationAttributesAsync(String clusterName, String serviceName, ApiCallback<ApiYarnApplicationAttributeList> callback)` Returns the list of all attributes that the Service Monitor can associate with YARN applications.
    `com.squareup.okhttp.Call` | `getYarnApplicationAttributesCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getYarnApplicationAttributes
    `ApiResponse<ApiYarnApplicationAttributeList>` | `getYarnApplicationAttributesWithHttpInfo(String clusterName, String serviceName)` Returns the list of all attributes that the Service Monitor can associate with YARN applications.
    `ApiYarnApplicationResponse` | `getYarnApplications(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to)` Returns a list of applications that satisfy the filter.
    `com.squareup.okhttp.Call` | `getYarnApplicationsAsync(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to, ApiCallback<ApiYarnApplicationResponse> callback)` Returns a list of applications that satisfy the filter.
    `com.squareup.okhttp.Call` | `getYarnApplicationsCall(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getYarnApplications
    `ApiResponse<ApiYarnApplicationResponse>` | `getYarnApplicationsWithHttpInfo(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to)` Returns a list of applications that satisfy the filter.
    `ApiYarnKillResponse` | `killYarnApplication(String applicationId, String clusterName, String serviceName)` Kills an YARN Application.
    `com.squareup.okhttp.Call` | `killYarnApplicationAsync(String applicationId, String clusterName, String serviceName, ApiCallback<ApiYarnKillResponse> callback)` Kills an YARN Application.
    `com.squareup.okhttp.Call` | `killYarnApplicationCall(String applicationId, String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for killYarnApplication
    `ApiResponse<ApiYarnKillResponse>` | `killYarnApplicationWithHttpInfo(String applicationId, String clusterName, String serviceName)` Kills an YARN Application.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YarnApplicationsResourceApi

          public YarnApplicationsResourceApi()

    - #### YarnApplicationsResourceApi

          public YarnApplicationsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getYarnApplicationAttributesCall

          public com.squareup.okhttp.Call getYarnApplicationAttributesCall(String clusterName,
                                                                           String serviceName,
                                                                           ProgressResponseBody.ProgressListener progressListener,
                                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                    throws ApiException

      Build call for getYarnApplicationAttributes
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getYarnApplicationAttributes

          public ApiYarnApplicationAttributeList getYarnApplicationAttributes(String clusterName,
                                                                              String serviceName)
                                                                       throws ApiException

      Returns the list of all attributes that the Service Monitor can associate with YARN applications. Returns the list of all attributes that the Service Monitor can associate with YARN applications. <p> Examples of attributes include the user who ran the application and the number of maps completed by the application. <p> These attributes can be used to search for specific YARN applications through the getYarnApplications API. For example the 'user' attribute could be used in the search 'user = root'. If the attribute is numeric it can also be used as a metric in a tsquery (ie, 'select maps_completed from YARN_APPLICATIONS'). <p> Note that this response is identical for all YARN services. <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
      Returns:
        ApiYarnApplicationAttributeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getYarnApplicationAttributesWithHttpInfo

          public ApiResponse<ApiYarnApplicationAttributeList> getYarnApplicationAttributesWithHttpInfo(String clusterName,
                                                                                                       String serviceName)
                                                                                                throws ApiException

      Returns the list of all attributes that the Service Monitor can associate with YARN applications. Returns the list of all attributes that the Service Monitor can associate with YARN applications. <p> Examples of attributes include the user who ran the application and the number of maps completed by the application. <p> These attributes can be used to search for specific YARN applications through the getYarnApplications API. For example the 'user' attribute could be used in the search 'user = root'. If the attribute is numeric it can also be used as a metric in a tsquery (ie, 'select maps_completed from YARN_APPLICATIONS'). <p> Note that this response is identical for all YARN services. <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiYarnApplicationAttributeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getYarnApplicationAttributesAsync

          public com.squareup.okhttp.Call getYarnApplicationAttributesAsync(String clusterName,
                                                                            String serviceName,
                                                                            ApiCallback<ApiYarnApplicationAttributeList> callback)
                                                                     throws ApiException

      Returns the list of all attributes that the Service Monitor can associate with YARN applications. (asynchronously) Returns the list of all attributes that the Service Monitor can associate with YARN applications. <p> Examples of attributes include the user who ran the application and the number of maps completed by the application. <p> These attributes can be used to search for specific YARN applications through the getYarnApplications API. For example the 'user' attribute could be used in the search 'user = root'. If the attribute is numeric it can also be used as a metric in a tsquery (ie, 'select maps_completed from YARN_APPLICATIONS'). <p> Note that this response is identical for all YARN services. <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getYarnApplicationsCall

          public com.squareup.okhttp.Call getYarnApplicationsCall(String clusterName,
                                                                  String serviceName,
                                                                  String filter,
                                                                  String from,
                                                                  BigDecimal limit,
                                                                  BigDecimal offset,
                                                                  String to,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for getYarnApplications
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the applications. A basic filter tests the value of an attribute and looks something like 'executing = true' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'application_duration > 5s and (user = root or user = myUserName'). (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of applications to return. Applications will be returned in the following order: <ul> <li> All executing applications, ordered from longest to shortest running </li> <li> All completed applications order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning applications from. This is useful for paging through lists of applications. Note that this has non-deterministic behavior if executing applications are included in the response because they can disappear from the list while paging. To exclude executing applications from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to now). (optional, default to now)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getYarnApplications

          public ApiYarnApplicationResponse getYarnApplications(String clusterName,
                                                                String serviceName,
                                                                String filter,
                                                                String from,
                                                                BigDecimal limit,
                                                                BigDecimal offset,
                                                                String to)
                                                         throws ApiException

      Returns a list of applications that satisfy the filter. Returns a list of applications that satisfy the filter <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the applications. A basic filter tests the value of an attribute and looks something like 'executing = true' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'application_duration > 5s and (user = root or user = myUserName'). (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of applications to return. Applications will be returned in the following order: <ul> <li> All executing applications, ordered from longest to shortest running </li> <li> All completed applications order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning applications from. This is useful for paging through lists of applications. Note that this has non-deterministic behavior if executing applications are included in the response because they can disappear from the list while paging. To exclude executing applications from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to now). (optional, default to now)
      Returns:
        ApiYarnApplicationResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getYarnApplicationsWithHttpInfo

          public ApiResponse<ApiYarnApplicationResponse> getYarnApplicationsWithHttpInfo(String clusterName,
                                                                                         String serviceName,
                                                                                         String filter,
                                                                                         String from,
                                                                                         BigDecimal limit,
                                                                                         BigDecimal offset,
                                                                                         String to)
                                                                                  throws ApiException

      Returns a list of applications that satisfy the filter. Returns a list of applications that satisfy the filter <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the applications. A basic filter tests the value of an attribute and looks something like 'executing = true' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'application_duration > 5s and (user = root or user = myUserName'). (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of applications to return. Applications will be returned in the following order: <ul> <li> All executing applications, ordered from longest to shortest running </li> <li> All completed applications order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning applications from. This is useful for paging through lists of applications. Note that this has non-deterministic behavior if executing applications are included in the response because they can disappear from the list while paging. To exclude executing applications from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to now). (optional, default to now)
      Returns:
        ApiResponse<ApiYarnApplicationResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getYarnApplicationsAsync

          public com.squareup.okhttp.Call getYarnApplicationsAsync(String clusterName,
                                                                   String serviceName,
                                                                   String filter,
                                                                   String from,
                                                                   BigDecimal limit,
                                                                   BigDecimal offset,
                                                                   String to,
                                                                   ApiCallback<ApiYarnApplicationResponse> callback)
                                                            throws ApiException

      Returns a list of applications that satisfy the filter. (asynchronously) Returns a list of applications that satisfy the filter <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the applications. A basic filter tests the value of an attribute and looks something like 'executing = true' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'application_duration > 5s and (user = root or user = myUserName'). (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of applications to return. Applications will be returned in the following order: <ul> <li> All executing applications, ordered from longest to shortest running </li> <li> All completed applications order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning applications from. This is useful for paging through lists of applications. Note that this has non-deterministic behavior if executing applications are included in the response because they can disappear from the list while paging. To exclude executing applications from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to now). (optional, default to now)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### killYarnApplicationCall

          public com.squareup.okhttp.Call killYarnApplicationCall(String applicationId,
                                                                  String clusterName,
                                                                  String serviceName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for killYarnApplication
      Parameters:
        `applicationId` - The applicationId to kill (required)
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### killYarnApplication

          public ApiYarnKillResponse killYarnApplication(String applicationId,
                                                         String clusterName,
                                                         String serviceName)
                                                  throws ApiException

      Kills an YARN Application. Kills an YARN Application <p> Available since API v6.
      Parameters:
        `applicationId` - The applicationId to kill (required)
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
      Returns:
        ApiYarnKillResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### killYarnApplicationWithHttpInfo

          public ApiResponse<ApiYarnKillResponse> killYarnApplicationWithHttpInfo(String applicationId,
                                                                                  String clusterName,
                                                                                  String serviceName)
                                                                           throws ApiException

      Kills an YARN Application. Kills an YARN Application <p> Available since API v6.
      Parameters:
        `applicationId` - The applicationId to kill (required)
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
      Returns:
        ApiResponse<ApiYarnKillResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### killYarnApplicationAsync

          public com.squareup.okhttp.Call killYarnApplicationAsync(String applicationId,
                                                                   String clusterName,
                                                                   String serviceName,
                                                                   ApiCallback<ApiYarnKillResponse> callback)
                                                            throws ApiException

      Kills an YARN Application. (asynchronously) Kills an YARN Application <p> Available since API v6.
      Parameters:
        `applicationId` - The applicationId to kill (required)
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.